diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 410131e5c7..17bf5c8f6a 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -2312,7 +2312,8 @@ describeOneTableDetails(const char *schemaname,
 		}
 
 		/* print foreign-key constraints (there are none if no triggers) */
-		if (tableinfo.hastriggers)
+		if (tableinfo.hastriggers ||
+			tableinfo.relkind == RELKIND_PARTITIONED_TABLE)
 		{
 			printfPQExpBuffer(&buf,
 							  "SELECT conname,\n"
